unit cPluginTypes; 

interface 

uses 
   Windows; 
type 
   LPPAGEINFO = pointer; 
   LPPROGINFO = pointer; 
   TString_256 = array[0..255] of char; 
   TString_64 = array[0..63] of char; 
   TString_16 = array[0..15] of char; 

   // page information structure...
   TPageInfo = record 
      DisplayName    : TString_64; 
      Filename       : TString_256; 
      FilenameMCI    : TString_256; 
      FilenameASM    : TString_256; 
      FilenameHEX    : TString_256; 
      Modified       : BOOL; 
      Device         : TString_16; 
      DeviceCore     : UINT; 
      OSC            : UINT; 
      VersionEnabled : BOOL; 
      VersionMajor   : BYTE; 
      VersionMinor   : BYTE; 
      VersionRelease : BYTE; 
      VersionBuild   : BYTE; 
      PageSize       : UINT; 
      PageSizeRTF    : UINT; 
   end; 

   // programmer information structure...
   TProgrammerInfo = record 
      Path         : TString_256; 
      Filename     : TString_256; 
      Params       : TString_256; 
      ParamsBound  : TString_256; 
      HookFilename : TString_256; 
   end; 

implementation 

end.
